Open CASCADE Technology: BRepGProp_VinertGK Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepGProp_VinertGK Class Reference

Computes the global properties of a geometric solid (3D closed region of space) delimited with : More...

`#include <BRepGProp_VinertGK.hxx>`

Inheritance diagram for BRepGProp_VinertGK:
[legend]

## Public Member Functions
| BRepGProp_VinertGK ()
| Empty constructor. More...
| BRepGProp_VinertGK (BRepGProp_Face &theSurface, const gp_Pnt &theLocation, const Standard_Real theTolerance=0.001, const Standard_Boolean theCGFlag=Standard_False, const Standard_Boolean theIFlag=Standard_False)
| Constructor. Computes the global properties of a region of 3D space delimited with the naturally restricted surface and the point VLocation. More...
| BRepGProp_VinertGK (BRepGProp_Face &theSurface, const gp_Pnt &thePoint, const gp_Pnt &theLocation, const Standard_Real theTolerance=0.001, const Standard_Boolean theCGFlag=Standard_False, const Standard_Boolean theIFlag=Standard_False)
| Constructor. Computes the global properties of a region of 3D space delimited with the naturally restricted surface and the point VLocation. The inertia is computed with respect to thePoint. More...
| BRepGProp_VinertGK (BRepGProp_Face &theSurface, BRepGProp_Domain &theDomain, const gp_Pnt &theLocation, const Standard_Real theTolerance=0.001, const Standard_Boolean theCGFlag=Standard_False, const Standard_Boolean theIFlag=Standard_False)
| Constructor. Computes the global properties of a region of 3D space delimited with the surface bounded by the domain and the point VLocation. More...
| BRepGProp_VinertGK (BRepGProp_Face &theSurface, BRepGProp_Domain &theDomain, const gp_Pnt &thePoint, const gp_Pnt &theLocation, const Standard_Real theTolerance=0.001, const Standard_Boolean theCGFlag=Standard_False, const Standard_Boolean theIFlag=Standard_False)
| Constructor. Computes the global properties of a region of 3D space delimited with the surface bounded by the domain and the point VLocation. The inertia is computed with respect to thePoint. More...
| BRepGProp_VinertGK (BRepGProp_Face &theSurface, const gp_Pln &thePlane, const gp_Pnt &theLocation, const Standard_Real theTolerance=0.001, const Standard_Boolean theCGFlag=Standard_False, const Standard_Boolean theIFlag=Standard_False)
| Constructor. Computes the global properties of a region of 3D space delimited with the naturally restricted surface and the plane. More...
| BRepGProp_VinertGK (BRepGProp_Face &theSurface, BRepGProp_Domain &theDomain, const gp_Pln &thePlane, const gp_Pnt &theLocation, const Standard_Real theTolerance=0.001, const Standard_Boolean theCGFlag=Standard_False, const Standard_Boolean theIFlag=Standard_False)
| Constructor. Computes the global properties of a region of 3D space delimited with the surface bounded by the domain and the plane. More...
void | SetLocation (const gp_Pnt &theLocation)
| Sets the vertex that delimit 3D closed region of space. More...
Standard_Real | Perform (BRepGProp_Face &theSurface, const Standard_Real theTolerance=0.001, const Standard_Boolean theCGFlag=Standard_False, const Standard_Boolean theIFlag=Standard_False)
| Computes the global properties of a region of 3D space delimited with the naturally restricted surface and the point VLocation. More...
Standard_Real | Perform (BRepGProp_Face &theSurface, const gp_Pnt &thePoint, const Standard_Real theTolerance=0.001, const Standard_Boolean theCGFlag=Standard_False, const Standard_Boolean theIFlag=Standard_False)
| Computes the global properties of a region of 3D space delimited with the naturally restricted surface and the point VLocation. The inertia is computed with respect to thePoint. More...
Standard_Real | Perform (BRepGProp_Face &theSurface, BRepGProp_Domain &theDomain, const Standard_Real theTolerance=0.001, const Standard_Boolean theCGFlag=Standard_False, const Standard_Boolean theIFlag=Standard_False)
| Computes the global properties of a region of 3D space delimited with the surface bounded by the domain and the point VLocation. More...
Standard_Real | Perform (BRepGProp_Face &theSurface, BRepGProp_Domain &theDomain, const gp_Pnt &thePoint, const Standard_Real theTolerance=0.001, const Standard_Boolean theCGFlag=Standard_False, const Standard_Boolean theIFlag=Standard_False)
| Computes the global properties of a region of 3D space delimited with the surface bounded by the domain and the point VLocation. The inertia is computed with respect to thePoint. More...
Standard_Real | Perform (BRepGProp_Face &theSurface, const gp_Pln &thePlane, const Standard_Real theTolerance=0.001, const Standard_Boolean theCGFlag=Standard_False, const Standard_Boolean theIFlag=Standard_False)
| Computes the global properties of a region of 3D space delimited with the naturally restricted surface and the plane. More...
Standard_Real | Perform (BRepGProp_Face &theSurface, BRepGProp_Domain &theDomain, const gp_Pln &thePlane, const Standard_Real theTolerance=0.001, const Standard_Boolean theCGFlag=Standard_False, const Standard_Boolean theIFlag=Standard_False)
| Computes the global properties of a region of 3D space delimited with the surface bounded by the domain and the plane. More...
Standard_Real | GetErrorReached () const
| Returns the relative reached computation error. More...
Standard_Real | GetAbsolutError () const
| Returns the absolut reached computation error. More...
Public Member Functions inherited from GProp_GProps
| GProp_GProps ()
| The origin (0, 0, 0) of the absolute cartesian coordinate system is used to compute the global properties. More...
| GProp_GProps (const gp_Pnt &SystemLocation)
| The point SystemLocation is used to compute the gobal properties of the system. For more accuracy it is better to define this point closed to the location of the system. For example it could be a point around the centre of mass of the system. This point is referred to as the reference point for this framework. For greater accuracy it is better for the reference point to be close to the location of the system. It can, for example, be a point near the center of mass of the system. At initialization, the framework is empty; i.e. it retains no dimensional information such as mass, or inertia. However, it is now able to bring together global properties of various other systems, whose global properties have already been computed using another framework. To do this, use the function Add to define the components of the system. Use it once per component of the system, and then use the interrogation functions available to access the computed values. More...
void | Add (const GProp_GProps &Item, const Standard_Real Density=1.0)
| Either. More...
Standard_Real | Mass () const
| Returns the mass of the current system. If no density is attached to the components of the current system the returned value corresponds to : More...
gp_Pnt | CentreOfMass () const
| Returns the center of mass of the current system. If the gravitational field is uniform, it is the center of gravity. The coordinates returned for the center of mass are expressed in the absolute Cartesian coordinate system. More...
gp_Mat | MatrixOfInertia () const
| returns the matrix of inertia. It is a symmetrical matrix. The coefficients of the matrix are the quadratic moments of inertia. More...
void | StaticMoments (Standard_Real &Ix, Standard_Real &Iy, Standard_Real &Iz) const
| Returns Ix, Iy, Iz, the static moments of inertia of the current system; i.e. the moments of inertia about the three axes of the Cartesian coordinate system. More...
Standard_Real | MomentOfInertia (const gp_Ax1 &A) const
| computes the moment of inertia of the material system about the axis A. More...
GProp_PrincipalProps | PrincipalProperties () const
| Computes the principal properties of inertia of the current system. There is always a set of axes for which the products of inertia of a geometric system are equal to 0; i.e. the matrix of inertia of the system is diagonal. These axes are the principal axes of inertia. Their origin is coincident with the center of mass of the system. The associated moments are called the principal moments of inertia. This function computes the eigen values and the eigen vectors of the matrix of inertia of the system. Results are stored by using a presentation framework of principal properties of inertia (GProp_PrincipalProps object) which may be queried to access the value sought. More...
Standard_Real | RadiusOfGyration (const gp_Ax1 &A) const
| Returns the radius of gyration of the current system about the axis A. More...

## Additional Inherited Members
Protected Attributes inherited from GProp_GProps
gp_Pnt | g
gp_Pnt | loc
Standard_Real | dim
gp_Mat | inertia

## Detailed Description

Computes the global properties of a geometric solid (3D closed region of space) delimited with :

- a point and a surface
- a plane and a surface

The surface can be :

- a surface limited with its parametric values U-V, (naturally restricted)
- a surface limited in U-V space with its boundary curves.

The surface's requirements to evaluate the global properties are defined in the template FaceTool class from the package GProp.

The adaptive 2D algorithm of Gauss-Kronrod integration of double integral is used.

The inner integral is computed along U parameter of surface. The integrand function is encapsulated in the support class UFunction that is defined below.

The outer integral is computed along T parameter of a bounding curve. The integrand function is encapsulated in the support class TFunction that is defined below.

## Constructor & Destructor Documentation

BRepGProp_VinertGK::BRepGProp_VinertGK | ( |  | ) |

Empty constructor.

BRepGProp_VinertGK::BRepGProp_VinertGK | ( | BRepGProp_Face & | theSurface,
|  | const gp_Pnt & | theLocation,
|  | const Standard_Real | theTolerance = `0.001`,
|  | const Standard_Boolean | theCGFlag = `Standard_False`,
|  | const Standard_Boolean | theIFlag = `Standard_False`
| ) |  |

Constructor. Computes the global properties of a region of 3D space delimited with the naturally restricted surface and the point VLocation.

BRepGProp_VinertGK::BRepGProp_VinertGK | ( | BRepGProp_Face & | theSurface,
|  | const gp_Pnt & | thePoint,
|  | const gp_Pnt & | theLocation,
|  | const Standard_Real | theTolerance = `0.001`,
|  | const Standard_Boolean | theCGFlag = `Standard_False`,
|  | const Standard_Boolean | theIFlag = `Standard_False`
| ) |  |

Constructor. Computes the global properties of a region of 3D space delimited with the naturally restricted surface and the point VLocation. The inertia is computed with respect to thePoint.

BRepGProp_VinertGK::BRepGProp_VinertGK | ( | BRepGProp_Face & | theSurface,
|  | BRepGProp_Domain & | theDomain,
|  | const gp_Pnt & | theLocation,
|  | const Standard_Real | theTolerance = `0.001`,
|  | const Standard_Boolean | theCGFlag = `Standard_False`,
|  | const Standard_Boolean | theIFlag = `Standard_False`
| ) |  |

Constructor. Computes the global properties of a region of 3D space delimited with the surface bounded by the domain and the point VLocation.

BRepGProp_VinertGK::BRepGProp_VinertGK | ( | BRepGProp_Face & | theSurface,
|  | BRepGProp_Domain & | theDomain,
|  | const gp_Pnt & | thePoint,
|  | const gp_Pnt & | theLocation,
|  | const Standard_Real | theTolerance = `0.001`,
|  | const Standard_Boolean | theCGFlag = `Standard_False`,
|  | const Standard_Boolean | theIFlag = `Standard_False`
| ) |  |

Constructor. Computes the global properties of a region of 3D space delimited with the surface bounded by the domain and the point VLocation. The inertia is computed with respect to thePoint.

BRepGProp_VinertGK::BRepGProp_VinertGK | ( | BRepGProp_Face & | theSurface,
|  | const gp_Pln & | thePlane,
|  | const gp_Pnt & | theLocation,
|  | const Standard_Real | theTolerance = `0.001`,
|  | const Standard_Boolean | theCGFlag = `Standard_False`,
|  | const Standard_Boolean | theIFlag = `Standard_False`
| ) |  |

Constructor. Computes the global properties of a region of 3D space delimited with the naturally restricted surface and the plane.

BRepGProp_VinertGK::BRepGProp_VinertGK | ( | BRepGProp_Face & | theSurface,
|  | BRepGProp_Domain & | theDomain,
|  | const gp_Pln & | thePlane,
|  | const gp_Pnt & | theLocation,
|  | const Standard_Real | theTolerance = `0.001`,
|  | const Standard_Boolean | theCGFlag = `Standard_False`,
|  | const Standard_Boolean | theIFlag = `Standard_False`
| ) |  |

Constructor. Computes the global properties of a region of 3D space delimited with the surface bounded by the domain and the plane.

## Member Function Documentation

Standard_Real BRepGProp_VinertGK::GetAbsolutError | ( |  | ) | const

Returns the absolut reached computation error.

Standard_Real BRepGProp_VinertGK::GetErrorReached | ( |  | ) | const

Returns the relative reached computation error.

Standard_Real BRepGProp_VinertGK::Perform | ( | BRepGProp_Face & | theSurface,
|  | const Standard_Real | theTolerance = `0.001`,
|  | const Standard_Boolean | theCGFlag = `Standard_False`,
|  | const Standard_Boolean | theIFlag = `Standard_False`
| ) |  |

Computes the global properties of a region of 3D space delimited with the naturally restricted surface and the point VLocation.

Standard_Real BRepGProp_VinertGK::Perform | ( | BRepGProp_Face & | theSurface,
|  | const gp_Pnt & | thePoint,
|  | const Standard_Real | theTolerance = `0.001`,
|  | const Standard_Boolean | theCGFlag = `Standard_False`,
|  | const Standard_Boolean | theIFlag = `Standard_False`
| ) |  |

Computes the global properties of a region of 3D space delimited with the naturally restricted surface and the point VLocation. The inertia is computed with respect to thePoint.

Standard_Real BRepGProp_VinertGK::Perform | ( | BRepGProp_Face & | theSurface,
|  | BRepGProp_Domain & | theDomain,
|  | const Standard_Real | theTolerance = `0.001`,
|  | const Standard_Boolean | theCGFlag = `Standard_False`,
|  | const Standard_Boolean | theIFlag = `Standard_False`
| ) |  |

Computes the global properties of a region of 3D space delimited with the surface bounded by the domain and the point VLocation.

Standard_Real BRepGProp_VinertGK::Perform | ( | BRepGProp_Face & | theSurface,
|  | BRepGProp_Domain & | theDomain,
|  | const gp_Pnt & | thePoint,
|  | const Standard_Real | theTolerance = `0.001`,
|  | const Standard_Boolean | theCGFlag = `Standard_False`,
|  | const Standard_Boolean | theIFlag = `Standard_False`
| ) |  |

Computes the global properties of a region of 3D space delimited with the surface bounded by the domain and the point VLocation. The inertia is computed with respect to thePoint.

Standard_Real BRepGProp_VinertGK::Perform | ( | BRepGProp_Face & | theSurface,
|  | const gp_Pln & | thePlane,
|  | const Standard_Real | theTolerance = `0.001`,
|  | const Standard_Boolean | theCGFlag = `Standard_False`,
|  | const Standard_Boolean | theIFlag = `Standard_False`
| ) |  |

Computes the global properties of a region of 3D space delimited with the naturally restricted surface and the plane.

Standard_Real BRepGProp_VinertGK::Perform | ( | BRepGProp_Face & | theSurface,
|  | BRepGProp_Domain & | theDomain,
|  | const gp_Pln & | thePlane,
|  | const Standard_Real | theTolerance = `0.001`,
|  | const Standard_Boolean | theCGFlag = `Standard_False`,
|  | const Standard_Boolean | theIFlag = `Standard_False`
| ) |  |

Computes the global properties of a region of 3D space delimited with the surface bounded by the domain and the plane.

void BRepGProp_VinertGK::SetLocation | ( | const gp_Pnt & | theLocation | ) |

Sets the vertex that delimit 3D closed region of space.

The documentation for this class was generated from the following file:

- BRepGProp_VinertGK.hxx